Bug 186602 - [JSC] Remove cellLock in JSObject::convertContiguousToArrayStorage
Summary: [JSC] Remove cellLock in JSObject::convertContiguousToArrayStorage
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Yusuke Suzuki
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2018-06-13 11:17 PDT by Yusuke Suzuki
Modified: 2018-07-20 14:15 PDT (History)
6 users (show)

See Also:


Attachments
Patch (9.48 KB, patch)
2018-06-14 03:15 PDT, Yusuke Suzuki
no flags Details | Formatted Diff | Diff
Patch (9.48 KB, patch)
2018-06-14 04:35 PDT, Yusuke Suzuki
sbarati: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yusuke Suzuki 2018-06-13 11:17:07 PDT
Let’s consider whether it is safe, prove it’s safety, and remove it if we can!
Comment 1 Yusuke Suzuki 2018-06-14 03:15:41 PDT
Created attachment 342729 [details]
Patch
Comment 2 Yusuke Suzuki 2018-06-14 04:35:15 PDT
Created attachment 342731 [details]
Patch
Comment 3 Saam Barati 2018-06-14 10:46:01 PDT
Comment on attachment 342731 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=342731&action=review

r=me

> Source/JavaScriptCore/runtime/JSObject.cpp:1350
> +    // Our following operations are sequentially executed by using storeStoreFence.

Our following => The mutator performs the following

> Source/JavaScriptCore/runtime/JSObject.cpp:1402
> +    WTF::storeStoreFence();

You only need this for mutatorShouldBeFenced, right?
Comment 4 Yusuke Suzuki 2018-06-16 09:38:59 PDT
Comment on attachment 342731 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=342731&action=review

>> Source/JavaScriptCore/runtime/JSObject.cpp:1402
>> +    WTF::storeStoreFence();
> 
> You only need this for mutatorShouldBeFenced, right?

Yeah, we can guard this with it.
Comment 5 Yusuke Suzuki 2018-07-20 14:14:19 PDT
Committed r234065: <https://trac.webkit.org/changeset/234065>
Comment 6 Radar WebKit Bug Importer 2018-07-20 14:15:21 PDT
<rdar://problem/42444258>